import { createParamDecorator } from '@nestjs/common';

///////////////////////////////////////////////////////////////////////////
///    gives service access to the gameperson object                    ///
///    Game_PersonEntity {                                              ///
///        gamepersonId                                                 ///
///        role                                                         ///
///        faction                                                      ///
///    }                                                                ///
///                                                                     ///
///    See more information from decorators in shared folder files.     ///
///////////////////////////////////////////////////////////////////////////

export const GamePerson = createParamDecorator((data, req) => {
  return data ? req.gameperson[data] : req.gameperson;
});
